GELF_GETSYM(3)

NAME
gelf_getsym - Retrieve class-independent symbol information from the symbol table at the given index

SYNOPSIS
#include <gelf.h>
GElf_Sym *gelf_getsym (Elf_Data *data, int ndx, GElf_Sym *dst);

DESCRIPTION
Translate the symbol table entry at index ndx from data into a class-independent representation stored in *dst.

data must be the Elf_Data of a section with type SHT_SYMTAB or SHT_DYNSYM. The number of symbols in the symbol table can be calculated by dividing the size of the corresponding section (sh_size or d_size) by the size of a symbol table entry. The size of a symbol table entry can be obtained from sh_entsize or gelf_fsize(3). If the corresponding elf contains more than 64K sections then gelf_getsymshndx should be used to retrieve a symbol's section index. See gelf_getsymshndx(3) for more information.

PARAMETERS

data
    Pointer to an Elf_Data of a SHT_SYMTAB or SHT_DYNSYM section.

ndx Zero-based index of the symbol table entry within data.

dst Pointer to a caller-provided structure for storing the symbol table entry. dst must not be NULL.

RETURN VALUE
On success, this function returns dst. On failure, it returns NULL and sets elf_errno. If data is NULL, then NULL is returned without setting elf_errno.

SEE ALSO
gelf_getdyn(3), gelf_getsymshndx(3), gelf_update_sym(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.